textures/disgrac3_nature/crystal
{
    qer_editorimage textures/disgrac3_nature/crystal.tga
    surfaceparm trans
    qer_trans .5
    cull none

//    {
//        map $lightmap
//        tcgen environment
//        tcmod scale .25 .25
//        blendfunc gl_one gl_one
//    }

    {
        map textures/disgrac3_nature/crystal.tga
        blendFunc blend
        rgbGen identity
    }

//    {
//        map $lightmap
//        blendfunc gl_dst_color gl_zero
//    }
}

textures/disgrac3_nature/waterfall_dirt
{
        qer_editorimage textures/disgrac3_sfx/arrow.tga
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm nonsolid
        qer_trans .25
        q3map_surfacelight 25
        deformVertexes wave .25 sin 0 1.5 0.75 2
        cull none
       
        {
            map textures/disgrac3_nature/waterfall01.tga
	    tcMod scale 2 4
            tcMod Scroll 0 -1
//	    rgbGen const ( 1.0 0.25 0.25 )	
            blendFunc filter
        }

        {
            map textures/disgrac3_nature/waterfall04.tga
	    tcMod scale 1 2	
            tcMod Scroll -.125 -2
//	    rgbGen const ( 0.125 0.1 0.1 )	
	    rgbGen const ( 0.05 0.05 0.05 )	
            blendFunc add
        }

	{
	    map textures/disgrac3_nature/waterfallfoam.tga
	    blendfunc add
            tcMod Scroll -.125 -.75
	    rgbGen const ( 0.45 0.45 0.45 )	
        }

        {
            map textures/disgrac3_nature/waterfall03.tga
	    tcMod scale 1 2
            tcMod Scroll -.125 -3
//	    rgbGen const ( 0.21 0.16 0.10 )	
	    rgbGen const ( 0.11 0.08 0.05 )	
            blendFunc add
        }

	{
	    map textures/disgrac3_nature/waterfallfoam.tga
	    blendfunc add
            tcMod Scroll -.125 -1
	    rgbGen const ( 0.25 0.25 0.25 )	
        }


        {
            map $lightmap
	    rgbgen identity
	    blendFunc add
	    rgbGen const ( 0.11 0.08 0.05 )	
        }
}

textures/disgrac3_nature/waterfall_rock1
{
        qer_editorimage textures/disgrac3_nature/rock2.tga
        surfaceparm nomarks
        cull none
       
        {
            map textures/disgrac3_nature/rock2.tga
            depthWrite
            rgbGen identity
        }

	{
            map textures/disgrac3_nature/waterfall_dirt.tga
  	    rgbGen identity
            tcMod Scroll 0 -2
            tcMod turb .1 .25 0 -.15
            blendFunc add
	    rgbGen const ( 0.5 0.5 0.5 )
	}

    //Devuelve la luz del lightmap a la textura
    {
	map $lightmap
	blendfunc filter
	rgbGen identity
	tcGen lightmap
	depthFunc equal
    }
}

textures/disgrac3_nature/ice
{
    qer_editorimage textures/disgrac3_nature/ice.tga
    surfaceparm trans
    cull none

    // Capa semitransparente de hielo
    {
        map textures/disgrac3_nature/ice.tga
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
        //blendFunc add
        depthwrite
	rgbGen const ( .7 1.0 .6 )
	rgbGen identity	
    }

    // Devuelve reflejo 
    {
        map textures/disgrac3_sfx/env_ice1.tga
        
	//map $lightmap
        tcgen environment
	alphaGen const 0.125
        //tcMod scale .5 .3
        blendfunc gl_one gl_one
    }

    // Overlay de musgo
    // TODO: Refactorizar textura
    {
        map textures/temple/patchbush.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
	tcMod scale 3 3
    }

    // Devuelve luz del lightmap a la textura
    {
        //map textures/disgrac3_nature/ice.tga
        map $lightmap
	depthfunc equal
        blendfunc filter
    }

}

textures/disgrac3_nature/violets
{
    surfaceparm nomarks
    q3map_surfacelight 200
    surfaceparm trans
    surfaceparm alphashadow
    qer_editorimage textures/disgrac3_nature/violet.tga
    cull none
    nopicmip

    {
        map textures/disgrac3_nature/violet.tga

        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }

    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/disgrac3_nature/spiderweb
{
    qer_editorimage textures/disgrac3_nature/spiderweb.tga
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm trans

    cull disable
    nopicmip

    //suspicious 
    surfaceparm nomarks
	//
    {
    	map textures/disgrac3_nature/spiderweb.tga
    	rgbGen identity
    	depthWrite
    	alphaFunc GE128
    }

    {
    	map $lightmap
    	blendfunc filter
    	rgbGen identity
    	tcGen lightmap
    	depthFunc equal
    }
}


textures/disgrac3_nature/grassvine1
{
    qer_editorimage textures/disgrac3_nature/grassvine1.tga
    surfaceparm alphashadow
    surfaceparm trans
    surfaceparm nonsolid

    cull twosided   
    nopicmip

    //suspicious 
    surfaceparm nomarks
    //
    {
        map textures/disgrac3_nature/grassvine1.tga
	//blendFunc GL_ONE GL_SRC_ALPHA	
        rgbGen identity
	depthWrite
	alphaFunc GE128
    }

    {
	map $lightmap
	blendfunc filter
	rgbGen identity
	tcGen lightmap
	depthFunc equal
    }
 }


textures/disgrac3_nature/grassvine2
{
    surfaceparm nomarks
    q3map_surfacelight 200
    surfaceparm trans
    surfaceparm alphashadow
    qer_editorimage textures/disgrac3_nature/grassvine2.tga
    cull none
    nopicmip

    {
        map textures/disgrac3_nature/grassvine2.tga

        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }

    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}
textures/disgrac3_nature/grassvine3
{
    surfaceparm nomarks
    q3map_surfacelight 200
    surfaceparm trans
    surfaceparm alphashadow
    qer_editorimage textures/disgrac3_nature/grassvine3.tga
    cull none
    nopicmip

    {
        map textures/disgrac3_nature/grassvine3.tga

        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }

    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/disgrac3_nature/grassvine4
{
    surfaceparm nomarks
    q3map_surfacelight 200
    surfaceparm trans
    surfaceparm alphashadow
    qer_editorimage textures/disgrac3_nature/grassvine4.tga
    cull none
    nopicmip

    {
        map textures/disgrac3_nature/grassvine4.tga

        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }

    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}


//Cesped, matorral

textures/disgrac3_nature/grassvine5
{
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm alphashadow
    qer_editorimage textures/disgrac3_nature/grassvine5.tga
    cull none
    nopicmip

    {
        map textures/disgrac3_nature/grassvine5.tga

        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }

    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/disgrac3_nature/vinepatch1
{
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm alphashadow
    qer_editorimage textures/disgrac3_nature/vinepatch1.tga
    cull twosided
    nopicmip
    deformVertexes wave .25 sin .5 0 .5 .25

    {
        map textures/disgrac3_nature/vinepatch1.tga

        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }

    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/disgrac3_nature/nenufar
{
    qer_editorimage textures/disgrac3_nature/nenufar.tga
    cull disable
//    surfaceparm trans
    q3map_surfacelight 20
    nopicmip
    {
        map textures/disgrac3_nature/nenufar.tga
	blendFunc GL_ONE GL_SRC_ALPHA	// Transparency
        rgbGen identity
	depthWrite
	alphaFunc GE128	
    }

    {
	map $lightmap
	blendfunc filter
	rgbGen identity
	tcGen lightmap
	depthFunc equal
    }
}

textures/disgrac3_nature/lotto
{
    qer_editorimage textures/disgrac3_nature/lotto.tga
    cull disable
//    surfaceparm trans
    nopicmip
    {
        map textures/disgrac3_nature/lotto.tga
	blendFunc GL_ONE GL_SRC_ALPHA	
        rgbGen identity
	depthWrite
	alphaFunc GE128	
    }


    {
	map $lightmap
	blendfunc filter
	rgbGen identity
	tcGen lightmap
	depthFunc equal
    }
 }

textures/temple/bushtrans
{
        qer_editorimage textures/temple/patchbush.tga
        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm trans
        cull disable
        nopicmip
        {
                map textures/temple/patchbush.tga
                rgbGen identity
                depthWrite
                alphaFunc GE128
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

textures/temple/w2k_bush1
{
        qer_editorimage textures/temple/w2k_bush1.tga
        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm trans
        cull disable
        nopicmip
        {
                map textures/temple/w2k_bush1.tga
                rgbGen identity
                depthWrite
                alphaFunc GE128
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

textures/temple/plants12
{
        qer_editorimage textures/temple/plants12.tga
        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm trans
        cull disable
        nopicmip
        {
                map textures/temple/plants12.tga
                rgbGen identity
                depthWrite
                alphaFunc GE128
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

textures/temple/plants13
{
        qer_editorimage textures/temple/plants13.tga
        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm trans
        cull disable
        nopicmip
        {
                map textures/temple/plants13.tga
                rgbGen identity
                depthWrite
                alphaFunc GE128
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

textures/temple/plants14
{
        qer_editorimage textures/temple/plants14.tga
        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm trans
        cull disable
        nopicmip
        {
                map textures/temple/plants14.tga
                rgbGen identity
                depthWrite
                alphaFunc GE128
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

textures/temple/w2k_tree1
{
        qer_editorimage textures/temple/w2k_tree1.tga
        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm trans
        cull disable
        nopicmip
        {
                map textures/temple/w2k_tree1.tga
                rgbGen identity
                depthWrite
                alphaFunc GE128
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

textures/temple/waterblocks
{
        qer_editorimage textures/temple/waterdest.tga
        {
                map textures/temple/blocks17i.tga
                rgbGen identity
        }
        {
                map textures/liquids/pool3d_5c.tga
                blendfunc gl_dst_color gl_one
                rgbGen identity
                tcMod scale 1.5 0.5
                tcMod transform 1.5 0 1.5 1 1 2
                tcMod scroll 0.05 1.001
        }
        {
                map textures/liquids/pool3d_6c.tga
                blendfunc gl_dst_color gl_one
                rgbGen identity
                tcMod scale 1.5 0.5
                tcMod transform 0 1.5 1 1.5 2 1
                tcMod scroll 0.025 1.001
        }
        {
                map textures/liquids/pool3d_3c.tga
                blendfunc gl_dst_color gl_one
                rgbGen identity
                tcMod scale 1.25 0.5
                tcMod scroll 0.001 1.025
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
        }
}

textures/temple/waterflow
{
        qer_editorimage textures/temple/waterflowdest.tga
        surfaceparm nonsolid
        surfaceparm trans
        surfaceparm water
        cull disable
        nomipmaps
        deformVertexes wave 64 sin 0.5 0.5 0 0.5
        qer_trans 0.5
        q3map_globaltexture
        {
                map textures/liquids/pool3d_5c.tga
                blendfunc gl_dst_color gl_one
                rgbGen identity
                tcMod scale 1.5 0.5
                tcMod transform 1.5 0 1.5 1 1 2
                tcMod scroll -0.05 1.001
        }
        {
                map textures/liquids/pool3d_6c.tga
                blendfunc gl_dst_color gl_one
                rgbGen identity
                tcMod scale 1.5 0.5
                tcMod transform 0 1.5 1 1.5 2 1
                tcMod scroll 0.025 1.001
        }
        {
                map textures/liquids/pool3d_3c.tga
                blendfunc gl_dst_color gl_one
                rgbGen identity
                tcMod scale 1.25 0.5
                tcMod scroll 0.001 1.025
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
        }
}

textures/temple/tree01
{

  cull disable
  surfaceparm trans
//  deformVertexes autosprite2
  {
        map textures/temple/tree01.tga
        blendFunc BLEND
  rgbGen vertex

        }
  {
  map $lightmap
  rgbGen identity
  depthFunc equal
  }
}


textures/temple/tree02
{

  cull disable
  surfaceparm trans

  {
        map textures/temple/tree02.tga
        blendFunc BLEND
  rgbGen vertex

        }
  {
  map $lightmap
  rgbGen identity
  depthFunc equal
  }
}
 textures/temple/plant01
//A large bushy grass
{
    cull disable
    surfaceparm alphashadow
//    deformVertexes autoSprite
    surfaceparm trans
        {
        map textures/temple/plant01.tga
        alphaFunc GE128
  depthWrite
  rgbGen vertex
        }
        {
  map $lightmap
  rgbGen identity
  blendFunc filter
  depthFunc equal
  }

}

textures/temple/plant02
//A tall fern
{

cull disable
    surfaceparm alphashadow
 //   deformVertexes autoSprite2
    surfaceparm trans
        {
        map textures/temple/plant02.tga
        alphaFunc GE128
  depthWrite
  rgbGen vertex
        }
        {
  map $lightmap
  rgbGen identity
  blendFunc filter
  depthFunc equal
  }

}
textures/temple/plant03
//A tall grass border
{

cull disable
    surfaceparm alphashadow
    surfaceparm trans
        {
        map textures/temple/plant03.tga
        alphaFunc GE128
  depthWrite
  rgbGen vertex
        }
        {
  map $lightmap
  rgbGen identity
  blendFunc filter
  depthFunc equal
  }

}

textures/temple/plant04
//A square-shaped fern
{

    cull disable
    surfaceparm alphashadow
    surfaceparm trans
 //   deformVertexes autoSprite

  {
        map textures/temple/plant04.tga
        alphaFunc GE128
  depthWrite
  rgbGen vertex
        }
        {
  map $lightmap
  rgbGen identity
  blendFunc filter
  depthFunc equal
  }

}

textures/temple/plant05
//Flowers with slanted blocks on bottom
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans

  {
        map textures/temple/plant05.tga
        alphaFunc GE128
  depthWrite
  rgbGen vertex
        }
        {
  map $lightmap
  rgbGen identity
  blendFunc filter
  depthFunc equal
  }

}
textures/temple/hedge
//Flowers on top of a block wall
{
    cull disable
    surfaceparm alphashadow

    surfaceparm trans
        {
        map textures/temple/hedge.tga
        alphaFunc GE128
  depthWrite
  rgbGen vertex
        }
        {
  map $lightmap
  rgbGen identity
  blendFunc filter
  depthFunc equal
  }

}

textures/temple/leaf
//Good for lilypads
{
    cull disable

    surfaceparm alphashadow
//  deformVertexes autoSprite
    surfaceparm trans
        {
        map textures/temple/leaf.tga
        alphaFunc GE128
  depthWrite
  rgbGen vertex
        }
        {
  map $lightmap
  rgbGen identity
  blendFunc filter
  depthFunc equal
  }

}
