textures/disgrac3_sfx/skybox5
{
	qer_editorimage env/jungle/junglesky_bk.tga          
	skyParms env/jungle/junglesky 128 -

	q3map_surfacelight 200
	q3map_sunExt 1 1 .6 175 30 60 3 16
	q3map_sunExt 1 1 .4 175 30 60 3 16

	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 100 3

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

textures/disgrac3_sfx/dm1a_fog
{
    qer_editorimage textures/sfx/fog_grey.tga
    surfaceparm	trans
    surfaceparm	nonsolid
    surfaceparm	fog
    surfaceparm	nolightmap
    qer_nocarve

    fogparms ( 0.6 0.65 0.7 ) 5000
}


textures/disgrac3_sfx/thunderbolt1
{
    qer_editorimage textures/disgrac3_sfx/thunderbolt.tga
    qer_trans 0.8	
    sort banner	
    surfaceparm nodamage
    surfaceparm nonsolid	
    surfaceparm trans	
    cull none
    surfaceparm autosprite
    deformVertexes wave 2048 sawtooth -16 32 0 8
    {
	clampmap textures/disgrac3_sfx/thunderbolt.tga
	blendfunc add
	rgbGen wave square .25 0.25 0.25 1.1
	tcMod scale 1.5 1.5
	tcMod scroll 2 0.5
    }

}

textures/disgrac3_sfx/particles2
{
    qer_editorimage textures/disgrac3_sfx/arrow.tga
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    nopicmip
    surfaceparm nolightmap
    qer_trans .75
    q3map_surfacelight 10
    cull none       
    deformVertexes wave 32 sin .53 .52 0 1
    {
        tcmod scale .5 .5
	map textures/disgrac3_sfx/particles.tga
        tcMod rotate 32 16
	tcMod Scroll 0 -.5
	rgbGen wave sawtooth .25 0.25 0.25 6
        blendFunc add
    }
    {
        tcmod scale 1 1
	map textures/disgrac3_sfx/thunderbolt_h.tga
	tcMod Scroll 1 -.26
	rgbGen wave sawtooth .25 0.25 0.25 4.6
	blendFunc add
    }
    {
        tcmod scale .5 .5
	map textures/disgrac3_sfx/thunderbolt_h.tga
	tcMod Scroll 2.3 -.5
	rgbGen wave sawtooth .25 0.25 0.25 3.2
	blendFunc add
    }
}

textures/disgrac3_sfx/thunderbolt2
{
    qer_editorimage textures/disgrac3_sfx/thunderbolt.tga
    qer_trans 0.8	
    sort banner	
    surfaceparm nodamage
    surfaceparm nonsolid	
    surfaceparm trans	
    cull none
    surfaceparm autosprite
    deformVertexes wave 1024  sawtooth -16 32 0 8
    {
	clampmap textures/disgrac3_sfx/thunderbolt.tga
	blendfunc add
	rgbGen wave square 0.25 0.25 0.25 1.3
	tcMod scale 1.5 1.5
	tcMod scroll 2 0.5
     }
}
textures/disgrac3_sfx/thunderbolt3
{
    qer_editorimage textures/disgrac3_sfx/thunderbolt.tga
    qer_trans 0.8	
    sort banner	
    surfaceparm nodamage
    surfaceparm nonsolid	
    surfaceparm trans	
    cull none
    surfaceparm autosprite
    deformVertexes wave 1024 sawtooth -16 32 0 8
    {
	clampmap textures/disgrac3_sfx/thunderbolt.tga
	blendfunc add
	rgbGen wave square 0.25 0.25 0.25 1
	tcMod scale 1.5 1.5
	tcMod scroll 2 0.5
    }
}


textures/disgrac3_sfx/waterfallsplash
{
    qer_editorimage textures/disgrac3_sfx/arrow.tga
    surfaceparm nodamage
    sort banner	
    qer_trans 0.8	
    surfaceparm nonsolid	
    surfaceparm trans	
    surfaceparm water
    tessSize 8
    deformVertexes wave 300 sin 1.2 4.2 .999 1   
    {
	clampmap textures/disgrac3_sfx/waterfallsplash.tga
	blendfunc add
	rgbGen wave     square 0.25 0.25 0.85 0.25 
	tcMod stretch triangle 2.40 1.80 0.60 0.25
    }

    {
	clampmap textures/disgrac3_sfx/waterfallsplash.tga
	blendfunc add
	rgbGen wave     square 0.25 0.25 0.00 0.25 
	tcMod stretch triangle 2.40 1.80 0.75 0.25
	tcMod rotate 2
    }
    {
	clampmap textures/disgrac3_sfx/waterfallsplash.tga
	blendfunc add
	rgbGen wave     square 0.25 0.25 0.15 0.25 
	tcMod stretch triangle 2.40 1.80 0.90 0.25
    }
    {
	clampmap textures/disgrac3_sfx/waterfallsplash.tga
	blendfunc add
	rgbGen wave     square 0.25 0.25 0.30 0.25 
	tcMod stretch triangle 2.40 1.80 0.05 0.25
	tcMod rotate 2
    }
    {
	clampmap textures/disgrac3_sfx/waterfallsplash.tga
	blendfunc add
	rgbGen wave     square 0.25 0.25 0.45 0.25 
	tcMod stretch triangle 2.40 1.80 0.20 0.25
    }
    {
	clampmap textures/disgrac3_sfx/waterfallsplash.tga
	blendfunc add
	rgbGen wave     square 0.25 0.25 0.60 0.25 
	tcMod stretch triangle 2.40 1.80 0.35 0.25
	tcMod rotate 2
    }
    {
	clampmap textures/disgrac3_sfx/waterfallsplash.tga
	blendfunc add
	rgbGen wave     square 0.25 0.25 0.75 0.25 
	tcMod stretch triangle 2.40 1.80 0.50 0.25
	tcMod rotate 2
    }

}

textures/disgrac3_sfx/rainbow	
{	 
    qer_editorimage textures/disgrac3_sfx/rainbow.tga
    q3map_nolightmap		
    surfaceparm nolightmap	
    surfaceparm nonsolid	
    surfaceparm nomarks		
    surfaceparm trans		
    cull twosided		
    {	 
	map textures/disgrac3_sfx/rainbow.tga	
	blendFunc GL_ONE GL_SRC_ALPHA	
	alphaFunc GE128	
	alphaGen const 1.0	
    }	 
}


textures/disgrac3_sfx/particles
{
    qer_editorimage textures/disgrac3_sfx/arrow.tga
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    nopicmip
    surfaceparm nolightmap
    qer_trans .75
    q3map_surfacelight 100
    cull none       
    {
        map textures/disgrac3_sfx/beam_yellow.tga
        tcMod Scroll .2 0
        tcmod scale 1 -1
	  blendFunc add
    }     
    {
        tcmod scale 1 .25
	  map textures/disgrac3_sfx/particles.tga
        tcMod Scroll .13 .26
        blendFunc blend
    }
    {
        tcmod scale 1.5 .5
	  map textures/disgrac3_sfx/particles.tga
        tcMod Scroll .11 .23
        blendFunc blend
    }
}

textures/disgrac3_sfx/water_dirty_arise
{	 
    qer_editorimage textures/disgrac3_sfx/water_dirty.tga
    sort banner	
    qer_trans 0.8	
    surfaceparm nonsolid	
    surfaceparm trans	
    surfaceparm water
    tessSize 8
    deformVertexes wave 300 sin 1.2 4.2 .999 1   
    {	 
	map textures/disgrac3_sfx/water_dirty.tga
	blendFunc GL_ONE GL_SRC_ALPHA	
	rgbGen const ( 0.125 0.125 0.125 )	
	alphaFunc GE128	
	alphaGen const 1.0	
	tcmod scroll -0.25 0	
    }	 
    {	 
        map textures/disgrac3_sfx/env_water_dirty.tga
	tcGen environment	
	rgbGen const ( 0.5 0.4 0.4 )	
	blendFunc GL_ONE GL_ONE	
    }	 
    {	 
        map textures/disgrac3_sfx/env_water_dirty.tga
	tcGen environment	
	blendFunc GL_DST_COLOR GL_ZERO	
    }	 
    {	 
	map $lightmap	
	blendFunc GL_DST_COLOR GL_ZERO
    }	 
}	 

textures/disgrac3_sfx/water_dirty
{
    qer_editorimage textures/disgrac3_sfx/water_dirty.tga
    qer_trans .5
    q3map_globaltexture
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm water
    cull disable
    deformVertexes wave 512 sin .25 .25 0 .5	
    { 
        map textures/disgrac3_sfx/water_dirty.tga
        blendFunc GL_dst_color GL_one
        rgbgen identity
        tcmod scale .5 .5
        tcmod scroll .025 .01
    }
    {
        map textures/disgrac3_sfx/water_dirty.tga
        blendFunc GL_dst_color GL_one
        tcmod scale -.5 -.5
        tcmod scroll .025 .025
    }
    {
        map $lightmap
        blendFunc GL_dst_color GL_zero
        rgbgen identity		
    }
}

textures/disgrac3_sfx/teleport
{
    qer_editorimage textures/disgrac3_sfx/teleport.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    cull disable
    tessSize 128
    q3map_surfacelight 60
    //deformVertexes wave 64 sin .75 .75 0 1	
    {
        map textures/disgrac3_sfx/teleport.tga
        rgbGen identity
        tcMod turb .4 .3 .2 0.2
    }
    {
        map textures/disgrac3_sfx/teleport.tga
        rgbGen identity
        tcGen environment
        tcMod turb .4 .3 .2 0.2
    }
    {
        map textures/disgrac3_sfx/teleport.tga
        blendfunc blend
        rgbGen identity
        tcMod turb -.3 -.2 -.4 0.4
    }
}

textures/disgrac3_sfx/beam_patch_v
{
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull none	
    {
        map textures/disgrac3_sfx/beam_patch_v.tga
        tcMod Scroll  .3 0
        blendFunc add
    }     
    {
        map textures/disgrac3_sfx/beam_patch.tga
        tcMod Scroll 0 -2
        tcMod Scale  .5  .5
        blendFunc add
    }     
    {
        map textures/disgrac3_sfx/beam_patch.tga
        tcMod Scroll 0 2
        tcMod Scale  .5  .5
        blendFunc add
    }     
}

textures/disgrac3_sfx/beam_patch
{
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull none	
    {
        map textures/disgrac3_sfx/beam_patch.tga
        tcMod Scroll 0 .3 
        blendFunc add
    }     
    {
        map textures/disgrac3_sfx/beam_patch.tga
        tcMod Scroll -2 0 
        tcMod Scale  .5  .5
        blendFunc add
    }     
    {
        map textures/disgrac3_sfx/beam_patch.tga
        tcMod Scroll 2 0 
        tcMod Scale  .5  .5
        blendFunc add
    }     

}

textures/disgrac3_sfx/beam_white
{
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull none	
    {
        map textures/disgrac3_sfx/beam_white.tga
        tcMod Scroll .3 0
        blendFunc add
    }     
}

textures/disgrac3_sfx/beam_blue
{
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull none	
    {
        map textures/disgrac3_sfx/beam_blue.tga
        tcMod Scroll .3 0
        blendFunc add
    }     
}

textures/disgrac3_sfx/beam_eblue
{
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull none	
    {
        map textures/disgrac3_sfx/beam_eblue.tga
        tcMod Scroll .3 0
        blendFunc add
    }     
}

textures/disgrac3_sfx/beam_yellow
{
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull none	
    {
        map textures/disgrac3_sfx/beam_yellow.tga
        tcMod Scroll .3 0
        blendFunc add
    }     
}

textures/disgrac3_sfx/beam_red
{
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull none	
    {
        map textures/disgrac3_sfx/beam_red.tga
        tcMod Scroll .3 0
        blendFunc add
    }     
}

textures/disgrac3_sfx/beam_purple
{
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull none	
    {
        map textures/disgrac3_sfx/beam_purple.tga
        tcMod Scroll .3 0
        blendFunc add
    }     
}

textures/disgrac3_sfx/beam_bridge
{
    qer_editorimage textures/disgrac3_sfx/beam_yellow.tga
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm nolightmap
    q3map_surfacelight 300
    qer_trans .75
    cull none	
    {
        map textures/disgrac3_sfx/beam_yellow.tga
        tcMod Scroll .2 0
        blendFunc add
    }     
}

textures/disgrac3_sfx/beam_green
{
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull none	
    {
        map textures/disgrac3_sfx/beam_green.tga
        tcMod Scroll .3 0
        blendFunc add
    }     
}

textures/disgrac3_sfx/rain
{
    qer_editorimage textures/disgrac3_sfx/arrow.tga
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm nolightmap
    qer_trans .5
    deformVertexes move .3 1 0  sin 0 2 0 0.2
    deformVertexes move .6 3.3 0  sin 0 2 0 0.4
    deformVertexes wave 3 sin 0 2 0 .2
    cull none
       
    {
        map textures/disgrac3_sfx/rain.tga
        tcMod Scroll .5 -4
        tcMod turb .1 .25 0 -.1
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/disgrac3_sfx/rain.tga
        tcMod Scroll .01 -6.3               
        blendFunc GL_ONE GL_ONE
    }    
}

textures/disgrac3_sfx/steam_right
{
    qer_editorimage textures/disgrac3_sfx/arrow.tga
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    deformVertexes autosprite
    deformVertexes move 0 .8 1  sawtooth 0 -50 0 8
    {
        map textures/disgrac3_sfx/steam.tga
        blendFunc GL_ONE GL_ONE
    }
}
textures/disgrac3_sfx/steam_left
{
    qer_editorimage textures/disgrac3_sfx/arrow.tga
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    deformVertexes autosprite
    deformVertexes move 0 -.8 1  sawtooth 0 -50 0 8
    {
        map textures/disgrac3_sfx/steam.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/disgrac3_sfx/green
{
    qer_editorimage textures/disgrac3_sfx/green.tga
    q3map_lightimage textures/disgrac3_sfx/green.tga
    surfaceparm nomarks
    q3map_surfacelight 115
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/disgrac3_sfx/green.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/disgrac3_sfx/green.tga
        blendFunc add
    }
}
textures/disgrac3_sfx/blue
{
    qer_editorimage textures/disgrac3_sfx/blue.tga
    q3map_lightimage textures/disgrac3_sfx/blue.tga
    surfaceparm nomarks
    q3map_surfacelight 115
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/disgrac3_sfx/blue.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/disgrac3_sfx/blue.tga
        blendFunc add
    }
}
textures/disgrac3_sfx/red
{
    qer_editorimage textures/disgrac3_sfx/red.tga
    q3map_lightimage textures/disgrac3_sfx/red.tga
    surfaceparm nomarks
    q3map_surfacelight 115
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/disgrac3_sfx/red.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/disgrac3_sfx/red.tga
        blendFunc add
    }
}
textures/disgrac3_sfx/white
{
    qer_editorimage textures/disgrac3_sfx/white.tga
    q3map_lightimage textures/disgrac3_sfx/white.tga
    surfaceparm nomarks
    q3map_surfacelight 300
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/disgrac3_sfx/white.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/disgrac3_sfx/white.tga
        blendFunc add
    }
}

textures/disgrac3_sfx/outerspace
{
    qer_editorimage textures/disgrac3_sfx/arrow.tga
    q3map_lightimage textures/disgrac3_sfx/outerspace.tga
    surfaceparm nomarks
    q3map_surfacelight 35
    {
        map $lightmap
        tcgen environment
	  tcMod scale .3 .3
        blendfunc gl_one gl_one
    }

    {
        map textures/disgrac3_sfx/glass.tga
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
        rgbGen identity
    }

    {
        map textures/disgrac3_sfx/outerplanet.tga
        blendFunc filter
        rgbGen identity
	  tcMod scale 1 1
	  tcMod scroll 0 -.025
    }
    {
        map textures/disgrac3_sfx/outerspace.tga
        blendFunc gl_one gl_one
        rgbGen identity
	  tcMod scale .75 .75
	  tcMod scroll 0 -.1
    }
    {
        map textures/disgrac3_sfx/outerspace.tga
        blendFunc gl_one gl_one
        rgbGen identity
        tcMod scale .5 .5
        tcMod scroll 0 -.25
    }
    {
        map textures/disgrac3_sfx/outerspace.tga
        blendFunc gl_one gl_one
        rgbGen identity
	  tcMod scale .25 .25
	  tcMod scroll 0 -.5
    }
    {
        map textures/disgrac3_sfx/outerspace.tga
        blendFunc add
	  tcMod scale .17 .17
	  tcMod scroll 0 -.6
    }
}

textures/disgrac3_sfx/zapper
{
    q3map_surfacelight 200
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    q3map_lightimage textures/disgrac3_sfx/zapper_lens.tga
    qer_editorimage textures/disgrac3_sfx/zapper_beam.tga
    cull none
    deformVertexes wave 3 sin 0 2 0 18
    {
        map textures/disgrac3_sfx/zapper_lens.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle .8 2 0 7
        tcMod scroll 0 sin 0 2 0 18
    }	
    {
        map textures/disgrac3_sfx/zapper_beam.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1 1.4 0 6.3
        tcMod scale  -1 1
        tcMod scroll 2 sin 0 2 0 18
    }	
}

textures/disgrac3_sfx/poisongas
{
    qer_editorimage textures/disgrac3_sfx/beam_green.tga
    surfaceparm	trans
    surfaceparm	nonsolid
    surfaceparm	fog
    surfaceparm	nolightmap
    fogparms ( .109 .315 0 ) 316
}

textures/disgrac3_sfx/teleport_ring
{
    qer_editorimage textures/sfx/portal_sfx_ring_blue1.tga 
    deformVertexes wave 100 sin 0 2 0 .5
    cull none
    surfaceparm	trans
    surfaceparm	nonsolid

    portal
    {
        map textures/sfx/portal_sfx_ring.tga
        blendfunc gl_one gl_one
        rgbgen wave inversesawtooth 0 .5 .2 .5
        depthWrite
	tcMod scale 1.4 1.4
    }

    {
        map textures/sfx/portal_sfx1.tga
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        alphagen portal 256
        tcMod rotate 360
    }
}

textures/disgrac3_sfx/paradoxwall
{
    qer_editorimage textures/disgrac3_sfx/arrow.tga 
    cull none
    surfaceparm	trans
    surfaceparm	nonsolid
    surfaceparm	nomarks
    portal
    
    {
        map textures/disgrac3_sfx/black.tga
        blendfunc gl_one gl_one
        depthWrite
        tcMod scale 1 .1
        tcMod rotate 11.25
    }

   {
        map textures/sfx/portal_sfx1.tga
        map textures/disgrac3_sfx/black.tga
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        alphagen portal 2048
        tcMod scale 1.9 1.9
        tcMod rotate 360
    }
}


textures/disgrac3_sfx/glass
{
    qer_editorimage textures/disgrac3_sfx/glass.tga
    surfaceparm trans
    cull none

    {
        map $lightmap
        tcgen environment
        tcMod scale .5 .3
        blendfunc gl_one gl_one
    }

    {
        map textures/disgrac3_sfx/glass.tga
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
        rgbGen identity
    }
}


textures/disgrac3_sfx/hologram01
{
	q3map_surfacelight 5
	qer_editorimage textures/disgrac3_sfx/hologram01.tga
	qer_trans .5
	surfaceparm trans
	light 1
	cull none			
//	{
//		map $lightmap
//		tcgen environment
//		blendfunc gl_one gl_one
//	}

	{
		map textures/disgrac3_sfx/hologram01.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/disgrac3_sfx/hologram01.tga
		blendfunc gl_dst_color gl_one
	}		
}

textures/disgrac3_sfx/hologram02
{
	q3map_surfacelight 5
	qer_editorimage textures/disgrac3_sfx/hologram02.tga
	qer_trans .5
	surfaceparm trans
	light 1
	cull none			
	
	{
		map textures/disgrac3_sfx/hologram02.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/disgrac3_sfx/hologram02.tga
		blendfunc gl_dst_color gl_one
	}		
}

textures/disgrac3_sfx/hologram03
{
	q3map_surfacelight 5
	qer_editorimage textures/disgrac3_sfx/hologram03.tga
	qer_trans .5
	surfaceparm trans
	light 1
	cull none			
	{
		map textures/disgrac3_sfx/hologram03.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/disgrac3_sfx/hologram03.tga
		blendfunc gl_dst_color gl_one
	}		
}

textures/disgrac3_sfx/hologram04
{
	q3map_surfacelight 5
	qer_editorimage textures/disgrac3_sfx/hologram04.tga
	qer_trans .5
	surfaceparm trans
	light 1
	cull none			

	{
		map textures/disgrac3_sfx/hologram04.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/disgrac3_sfx/hologram04.tga
		blendfunc gl_dst_color gl_one
	}		
}

textures/disgrac3_sfx/hologram05
{
	q3map_surfacelight 5
	qer_editorimage textures/disgrac3_sfx/hologram05.tga
	qer_trans .5
	surfaceparm trans
	light 1
	cull none			

	{
		map textures/disgrac3_sfx/hologram05.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/disgrac3_sfx/hologram05.tga
		blendfunc gl_dst_color gl_one
	}		
}
